<?xml version="1.0" encoding="utf-8"?>
<ManagementPack ContentReadable="true" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <Manifest>
    <Identity>
      <ID>Mom.Test.UI.ExchangeTemplate.Management.Pack</ID>
      <Version>1.0.0.9</Version>
    </Identity>
    <Name>Mom.Test.UI.ExchangeTemplate.Management.Pack</Name>
      <References>
      <Reference Alias="SCIGL">
        <ID>Microsoft.SystemCenter.InstanceGroup.Library</ID>
        <Version>6.0.0.0</Version>
        <PublicKeyToken>31bf3856ad364e35</PublicKeyToken>
	<!--<PublicKeyToken>9396306c2be7fcc4</PublicKeyToken>-->
      </Reference>
      <Reference Alias="SC">
        <ID>Microsoft.SystemCenter.Library</ID>
        <Version>6.0.0.0</Version>
        <PublicKeyToken>31bf3856ad364e35</PublicKeyToken>
      </Reference>
      <Reference Alias="Windows">
        <ID>Microsoft.Windows.Library</ID>
        <Version>6.0.0.0</Version>
        <PublicKeyToken>31bf3856ad364e35</PublicKeyToken>
      </Reference>
      <Reference Alias="System">
        <ID>System.Library</ID>
        <Version>6.0.0.0</Version>
        <PublicKeyToken>31bf3856ad364e35</PublicKeyToken>
      </Reference>
      <Reference Alias="ExLibrary">
        <ID>Microsoft.Exchange.Server.2007.Library</ID>
        <Version>6.0.0.0</Version>
        <PublicKeyToken>31bf3856ad364e35</PublicKeyToken>
      </Reference>
      <Reference Alias="ExDiscovery">
        <ID>Microsoft.Exchange.Server.2007.Discovery</ID>
        <Version>6.0.0.0</Version>
        <PublicKeyToken>31bf3856ad364e35</PublicKeyToken>
      </Reference>
    </References>
  </Manifest>
  <TypeDefinitions>
    <ModuleTypes>
      <DataSourceModuleType ID="Mom.Test.UI.ExchangeTemplate.Management.Pack.Discovery.DS" Accessibility="Internal" Batching="false">
        <Configuration>
          <xsd:element minOccurs="1" name="DiscoverStuff" type="xsd:string" />
          <xsd:element minOccurs="1" name="DebugLog" type="xsd:string" />
          <xsd:element minOccurs="1" name="DeleteSelected" type="xsd:string" />
          <xsd:element minOccurs="1" name="IntervalSeconds" type="xsd:integer" />          
        </Configuration>
        <OverrideableParameters>
          <OverrideableParameter ID="DiscoverStuff" Selector="$Config/DiscoverStuff$" ParameterType="string" />
          <OverrideableParameter ID="DebugLog" Selector="$Config/DebugLog$" ParameterType="string" />
          <OverrideableParameter ID="DeleteSelected" Selector="$Config/DeleteSelected$" ParameterType="string" />
          <OverrideableParameter ID="IntervalSeconds" Selector="$Config/IntervalSeconds$" ParameterType="int" />          
        </OverrideableParameters>
        <ModuleImplementation Isolation="Any">
          <Composite>
            <MemberModules>
              <DataSource ID="DS" TypeID="Windows!Microsoft.Windows.TimedPowerShell.DiscoveryProvider">
                <IntervalSeconds>$Config/IntervalSeconds$</IntervalSeconds>
                <SyncTime></SyncTime>
                <ScriptName>DiscoverMailflowRelationship.ps1</ScriptName>
                <ScriptBody>
                  <![CDATA[
               param ([String] $ElementID, [String] $TargetID, [String] $DiscoverStuff, [String] $DebugLog, [String] $DeleteSelected)

              $ErrorActionPreference = "Stop"

              $SCRIPT_NAME = "FakeServerDiscovery"
              
              # Logs some data to event log
              function CreateEventDebug()
              {
                  if( $DebugLog -eq "true" -or $DebugLog -eq "True" )
                  {
                    $momAPI.LogScriptEvent("FakeDiscovery", 2000, 4, $eventLogMessage)
                  }
              }
              
              # Logs some data to event log
              function CreateEvent()
              {
              
                    $momAPI.LogScriptEvent("FakeDiscovery", 2000, 4, $eventLogMessage)
              }

              # Creates a Fake Computer and Exchange 2007 Server Role
              # $funcArgs = $serverType, $strSimpleName, $strDomainDNSName, $strSite, $strForestDNS, $strWinSite
              function CreateFakeExchangeServer( $funcArgs )
              {
                $roleName
                $mpClass  
                $displayName 
                $fakeServerInstance
                $computerInstance
                
                # Arguement Parsing 
                if( $funcArgs.Count -ne 6)
                {
                  $strMessage = "CreateFakeExchangeServer was only give " + $funcArgs.Count + " parameters"
                  throw $strMessage
                }
                $serverType = $funcArgs[0]
                $strSimpleName = $funcArgs[1]
                $strDNSName = $strSimpleName + "." +  $funcArgs[2]
                $strSite = $funcArgs[3]
                $strForestDNS = $funcArgs[4]
                $strWinSite = $funcArgs[5]
                
                if( $serverType -lt 0 -and $serverType -gt 7 )
                {
                  $strMessage = "CreateFakeExchangeServer failed because invalid server type was specified value = " + $serverType
                  throw $strMessage
                }
                
                switch ($serverType)
                {
                   $STANDALONE_MAILBOX
                   {
                    $displayName = "Mailbox (" + $strSimpleName + ")"
                    $roleName = "Mailbox"
                    $mpClass = $ExchangeStandAloneType
                   }                   
                   $CCR_MAILBOX
                   {
                    $displayName = "CCR Cluster (" + $strSimpleName + ")"
                    $roleName = "Mailbox"
                    $mpClass = $ExchangeCcrMailboxType
                    
                   }                   
                   $SCC_MAILBOX
                   {
                    $displayName = "SCC Cluster (" + $strSimpleName + ")"
                    $roleName = "Mailbox"
                    $mpClass = $ExchangeSccMailboxType
                   }                   
                   $CCR_NODE
                   {
                    $displayName = "CCR Node (" + $strSimpleName + ")"
                    $roleName = "CCR Node"
                    $mpClass = $ExchangeCcrNodeType
                   }                   
                   $CLIENT_ACCESS
                   {
                    $displayName = "Client Access (" + $strSimpleName + ")"
                    $roleName = "Client Access"
                    $mpClass = $ExchangeCasType
                   }                   
                   $HUB_TRANSPORT
                   {
                    $displayName = "Hub Transport (" + $strSimpleName + ")"
                    $roleName = "Hub Transport"
                    $mpClass = $ExchangeHubType
                   }                   
                   $EDGE_TRANSPORT
                   {
                    $displayName = "Edge Transport (" + $strSimpleName + ")"
                    $roleName = "Edge Transport"
                    $mpClass = $ExchangeEdgeType
                   }                       
                   $UNIFIED_MESSAGE
                   {
                    $displayName = "Unified Messaging (" + $strSimpleName + ")"
                    $roleName = "Unified Messaging"
                    $mpClass = $ExchangeUmType
                   }
                   default
                   {
                      $eventLogMessage = "Server Type was " + $serverType + ". This is not a defined type. On server " + $strSimpleName
                      CreateEventDebug
                      Throw $eventLogMessage
                   }
                 }
                 
                $eventLogMessage = "Type=" + $serverType + ";Name=" + $strSimpleName + ";DNS=" + $strDNSName + ";site=" + $strSite + ";Forest=" + $strForestDNS + ";Exchange Class ID=" + $mpClass
                CreateEventDebug
                
                # Create the Windows Server
                $computerInstance = $discoveryData.CreateClassInstance($WindowsComputerType)	
                $computerInstance.AddProperty($WindowsPrincipleNamePropertyType , $strDNSName)	        
                $computerInstance.AddProperty($WindowsNetbiosPropertyType , $strSimpleName)	       	
                $computerInstance.AddProperty($WindowsNetworkNamePropertyType  , $strDNSName)
                $computerInstance.AddProperty($WindowsDnsNamePropertyType  , $strDNSName) 
                $computerInstance.AddProperty($WindowsForestDnsNamePropertyType  , $strForestDNS)
                $computerInstance.AddProperty($SystemDisplayNamePropertyType , $strDNSName)
                $computerInstance.AddProperty($WindowsSitePropertyType , $strWinSite)
                $discoveryData.AddInstance($computerInstance)	                
               
                # Create the Exchange server 
                $fakeServerInstance = $discoveryData.CreateClassInstance($mpClass)
                $fakeServerInstance.AddProperty($WindowsPrincipleNamePropertyType , $strDNSName)	
                $ExchangeDisplayName = $roleName + " (" + $strSimpleName + ")"
                $fakeServerInstance.AddProperty($SystemDisplayNamePropertyType , $ExchangeDisplayName )
                $fakeServerInstance.AddProperty($ExchangeRolePropertyType , $roleName)
                $fakeServerInstance.AddProperty($ExchangeVersionPropertyType, "8.1.240.6")
                $fakeServerInstance.AddProperty($ExchangeDnsNamePropertyType, $strDNSName)
                $fakeServerInstance.AddProperty($ExchangeSitePropertyType, $strSite) 
                $discoveryData.AddInstance($fakeServerInstance)	                
              }

              # Exchange 2007 Server Role Constants
              $STANDALONE_MAILBOX = 0
              $CCR_MAILBOX = 1
              $SCC_MAILBOX = 2
              $CCR_NODE = 3
              $CLIENT_ACCESS = 4
              $HUB_TRANSPORT = 5
              $EDGE_TRANSPORT = 6
              $UNIFIED_MESSAGE = 7
              
              $momAPI = new-object -comObject MOM.ScriptAPI
              
              $eventLogMessage = "Starting Discovery of Fake Servers"
              CreateEvent   
              
              $eventLogMessage = "ElementID=" + $ElementID + ".TargetID=" + $TargetID
              CreateEventDebug
              
              # MPElements
              $ExchangeStandAloneType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole.Mailbox.Standalone']$"   
              $ExchangeCcrMailboxType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole.Mailbox.CcrCluster']$"
              $ExchangeSccMailboxType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole.Mailbox.SccCluster']$"
              $ExchangeCcrNodeType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole.CcrNode']$"
              $ExchangeCasType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole.Cas']$"
              $ExchangeHubType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole.Transport.Hub']$"
              $ExchangeUmType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole.UM']$"

              $ExchangeRolePropertyType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole']/RoleName$"
              $ExchangeVersionPropertyType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole']/Version$"
              $ExchangeDnsNamePropertyType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole']/DnsName$"
              $ExchangeSitePropertyType = "$MPElement[Name='ExLibrary!Microsoft.Exchange2007.ServerRole']/ActiveDirectorySite$"                
                
              $WindowsComputerType = "$MPElement[Name='Windows!Microsoft.Windows.Computer']$"	
              $WindowsPrincipleNamePropertyType = "$MPElement[Name='Windows!Microsoft.Windows.Computer']/PrincipalName$"        
              $WindowsNetbiosPropertyType = "$MPElement[Name='Windows!Microsoft.Windows.Computer']/NetbiosComputerName$"       	
              $WindowsNetworkNamePropertyType = "$MPElement[Name='Windows!Microsoft.Windows.Computer']/NetworkName$"
              $WindowsDnsNamePropertyType = "$MPElement[Name='Windows!Microsoft.Windows.Computer']/DNSName$"
              $WindowsForestDnsNamePropertyType = "$MPElement[Name='Windows!Microsoft.Windows.Computer']/ForestDnsName$"
              $WindowsSitePropertyType = "$MPElement[Name='Windows!Microsoft.Windows.Computer']/ActiveDirectorySite$"

              $SystemDisplayNamePropertyType = "$MPElement[Name='System!System.Entity']/DisplayName$"
                                       
              $eventLogMessage = "Exchange mbx Stdalone= " + $ExchangeStandAloneType
              CreateEventDebug
              $eventLogMessage = "Exchange CCR Mbx = " + $ExchangeCcrMailboxType
              CreateEventDebug
              $eventLogMessage = "Exchange scc Mbx = " + $ExchangeSccMailboxType
              CreateEventDebug
              $eventLogMessage = "Exchange ccr node = " + $ExchangeCcrNodeType
              CreateEventDebug
              $eventLogMessage = "Exchange cas = " + $ExchangeCasType
              CreateEventDebug
              $eventLogMessage = "Exchange hub = " + $ExchangeHubType
              CreateEventDebug
              $eventLogMessage = "Exchange UM = " + $ExchangeUmType
              CreateEventDebug
              $eventLogMessage = "Exchange RoleName = " + $ExchangeRolePropertyType
              CreateEventDebug
              $eventLogMessage = "Exchange Version = " + $ExchangeVersionPropertyType
              CreateEventDebug
              $eventLogMessage = "Exchagne DNSName = " + $ExchangeDnsNamePropertyType
              CreateEventDebug
              $eventLogMessage = "Exchange site = " + $ExchangeSitePropertyType
              CreateEventDebug
              $eventLogMessage = "Win Computer = " + $WindowsComputerType
              CreateEventDebug
              $eventLogMessage = "WIN UPN = " + $WindowsPrincipleNamePropertyType
              CreateEventDebug
              $eventLogMessage = "Win netbios = " + $WindowsNetbiosPropertyType
              CreateEventDebug
              $eventLogMessage = "Win networkname = " + $WindowsNetworkNamePropertyType
              CreateEventDebug
              $eventLogMessage = "Win DNSName = " + $WindowsDnsNamePropertyType
              CreateEventDebug    
              $eventLogMessage = "Win Forest = " + $WindowsForestDnsNamePropertyType
              CreateEventDebug
              $eventLogMessage = "System Display Name = " + $SystemDisplayNamePropertyType
              CreateEventDebug
              
              # begin the discovery
              $discoveryData = $momAPI.CreateDiscoveryData("0", $ElementID, $TargetID)
              
              # Exit if Desired
              if( "false" -eq $DiscoverStuff -or "False" -eq $DiscoverStuff)
              {
                $eventLogMessage = "Finished with Discovery of Fake Servers. Removed Servers"
                CreateEvent      
                return $discoveryData
              }
              
              $eventLogMessage = "Made the Discovery Data Object"
              CreateEventDebug
              
              $baseForest = "TestDomain.Test.local"   
              $baseSite = "SameSite"
              
              $baseForest = "TestDomain.Test.local"   
              $baseSite = "SameSite"
                            
              # Mailbox StandAlone Servers
              $serverRoleType = $STANDALONE_MAILBOX 
              $simpleNameRoot = "Test-mbx"
              $simpleForestRoot = "TestForest"
              $simpleSiteRoot = "TestSite"
                            
              # Test Mailbox Server              
              CreateFakeExchangeServer( $STANDALONE_MAILBOX, "stdMbx", $baseForest, $baseSite, $baseForest, $baseSite )
              CreateFakeExchangeServer( $CCR_MAILBOX, "ccrMbx", $baseForest, $baseSite, $baseForest, $baseSite )
              CreateFakeExchangeServer( $SCC_MAILBOX, "sccMbx", $baseForest, $baseSite, $baseForest, $baseSite )
              
              # Language Mailbox Servers
              #Japanese Mailbox
              CreateFakeExchangeServer( $serverRoleType, "うずまき ナルト", $baseForest, $baseSite, $baseForest, $baseSite )
              # Russian Mailbox
              CreateFakeExchangeServer( $serverRoleType, "Дмитрий", $baseForest, $baseSite, $baseForest, $baseSite )
              # Japanese Site
              CreateFakeExchangeServer( $serverRoleType, "JapaneseSite1", $baseForest, "赤丸", $baseForest, "赤丸" )
              CreateFakeExchangeServer( $serverRoleType, "JapaneseSite2", $baseForest, "赤丸", $baseForest, "赤丸" )
                                         
              # Mailboxes in the Base Site   
              for( $i = 10; $i -lt 30;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $baseForest, $baseSite, $baseForest, $baseSite )
              }
              
              # MBX in the Base Site but different domains
              for( $i = 30; $i -lt 40;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                $domainName = "completedDifferent.Local"                
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $domainName, $baseSite, $baseForest, $baseSite  )
              }     
               
              # Mailboxes in Random other sites
              for( $i = 40; $i -lt 70;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                $siteName = $simpleSiteRoot + $i
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $baseForest, $siteName, $baseForest, $siteName )
              }
              
              # Mailboxes in Other Forests with Same Base Site
              for( $i = 70; $i -lt 80;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                $forest = $simpleForestRoot + $i + ".somewhere.local"
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $forest, $baseSite, $forest, $baseSite )
              }
              
              #Mailboxes in Other Forests with Different Sites
              for( $i = 80; $i -lt 100;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                $forest = $simpleForestRoot + $i + ".somewhere.local"
                $siteName = $simpleSiteRoot + $i
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $forest, $siteName, $forest, $siteName )
              }
              
              # Error Mailboxes
              CreateFakeExchangeServer( $serverRoleType, "NoForestMBX", $baseForest, $baseSite, "", $baseSite )
              CreateFakeExchangeServer( $serverRoleType, "NoSiteMBX", $baseForest, "", $baseForest, "" )
              CreateFakeExchangeServer( $serverRoleType, "NoWinSiteMBX", $baseForest, "NoWinSite", $baseForest, "" )
              CreateFakeExchangeServer( $serverRoleType, "NoExSiteMBX", $baseForest, "", $baseForest, "NoExSite" )
                            
              # Client Access Servers
              $serverRoleType = $CLIENT_ACCESS 
              $simpleNameRoot = "Test-cas"
              
              # Test CAS Server              
              CreateFakeExchangeServer( $serverRoleType, "stdCAS", $baseForest, $baseSite, $baseForest, $baseSite  )
              
              # Language CAS Servers
              # Japanese CAS
              CreateFakeExchangeServer( $serverRoleType, "春野 サクラ", $baseForest, $baseSite, $baseForest, $baseSite  )
              # Hebrew CAS
              CreateFakeExchangeServer( $serverRoleType, "מיכאל", $baseForest, $baseSite, $baseForest, $baseSite  )
              # Russian Cas
              CreateFakeExchangeServer( $serverRoleType, "Сергей", $baseForest, $baseSite, $baseForest, $baseSite  )
              # Japanese Site Names
              CreateFakeExchangeServer( $serverRoleType, "JapaneseSite1", $baseForest, "赤丸", $baseForest, "赤丸"  )
              CreateFakeExchangeServer( $serverRoleType, "JapaneseSite2", $baseForest, "赤丸", $baseForest, "赤丸" )
             
              # CAS in the Base Site   
              for( $i = 10; $i -lt 30;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                $siteName = $simpleName + "Site"
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $baseForest, $baseSite, $baseForest, $baseSite )
              }         
              
              # CAS in the Base Site but different domains
              for( $i = 30; $i -lt 40;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                $domainName = "completedDifferent.Local"                
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $domainName, $baseSite, $baseForest, $baseSite )
              }     
               
              # CAS in Random other sites
              for( $i = 40; $i -lt 70;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                $siteName = $simpleSiteRoot + $i
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $baseForest, $siteName, $baseForest, $siteName )
              }
              
              # CAS in Other Forests with Same Base Site
              for( $i = 70; $i -lt 80;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                $forest = $simpleForestRoot + $i + ".somewhere.local"
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $forest, $baseSite, $forest, $baseSite )
              }
              
              # CAS in Other Forests with Different Sites
              for( $i = 80; $i -lt 100;$i++)
              {
                $simpleName = $simpleNameRoot + $i
                $forest = $simpleForestRoot + $i + ".somewhere.local"
                $siteName = $simpleSiteRoot + $i
                CreateFakeExchangeServer( $serverRoleType, $simpleName, $forest, $siteName, $forest, $siteName )                
              }
              
              # Error CAS
              CreateFakeExchangeServer( $serverRoleType, "NoForestCAS", $baseForest, $baseSite, "", $baseSite)
              CreateFakeExchangeServer( $serverRoleType, "NoSiteCAS", $baseForest, "", $baseForest, ""  )   
              CreateFakeExchangeServer( $serverRoleType, "NoWinSiteCAS", $baseForest, "NoWinSite", $baseForest, "" ) 
              CreateFakeExchangeServer( $serverRoleType, "NoExSiteCAS", $baseForest, "", $baseForest, "NoExSite" ) 
              
              
              # 
              if( "false" -eq $DeleteSelected -or "False" -eq $DeleteSelected)
              {
                $eventLogMessage = "Adding to be deleted servers"
                CreateEventDebug    
                
                
                CreateFakeExchangeServer( $STANDALONE_MAILBOX, "deleteMbx", $baseForest, $baseSite, $baseForest, $baseSite)
                CreateFakeExchangeServer( $CLIENT_ACCESS, "deleteCas", $baseForest, $baseSite, $baseForest, $baseSite  )   
              }
              else
              {
                $eventLogMessage = "Removing to be deleted servers"
                CreateEventDebug     
              }
              
              
              $eventLogMessage = "Finished with Discovery of Fake Servers. Added Servers"
              CreateEvent              

              return $discoveryData
         ]]>
                </ScriptBody>
                <Parameters>
                  <Parameter>
                    <Name>ElementID</Name>
                    <Value>$MPElement$</Value>
                  </Parameter>
                  <Parameter>
                    <Name>TargetID</Name>
                    <Value>$Target/Id$</Value>
                  </Parameter>
                  <Parameter>
                    <Name>DiscoverStuff</Name>
                    <Value>$Config/DiscoverStuff$</Value>
                  </Parameter>
                  <Parameter>
                    <Name>DebugLog</Name>
                    <Value>$Config/DebugLog$</Value>
                  </Parameter>
                  <Parameter>
                    <Name>DeleteSelected</Name>
                    <Value>$Config/DeleteSelected$</Value>
                  </Parameter> 
                </Parameters>
                <TimeoutSeconds>300</TimeoutSeconds>
              </DataSource>
            </MemberModules>
            <Composition>
              <Node ID="DS" />
            </Composition>
          </Composite>
        </ModuleImplementation>
        <OutputType>System!System.Discovery.Data</OutputType>
      </DataSourceModuleType>
      </ModuleTypes>
      </TypeDefinitions>
  <Monitoring>
    <Discoveries>
      <Discovery ID="Mom.Test.UI.ExchangeTemplate.Management.Pack.Discovery" Enabled="true" Target="SC!Microsoft.SystemCenter.RootManagementServer" ConfirmDelivery="false" Remotable="true" Priority="Normal">
        <Category>Discovery</Category>
        <DiscoveryTypes>
          <DiscoveryClass TypeID="Windows!Microsoft.Windows.Computer" />
          <DiscoveryClass TypeID="ExLibrary!Microsoft.Exchange2007.ServerRole.Cas" />
          <DiscoveryClass TypeID="ExLibrary!Microsoft.Exchange2007.ServerRole.CcrNode" />
          <DiscoveryClass TypeID="ExLibrary!Microsoft.Exchange2007.ServerRole.Transport.Edge" />
          <DiscoveryClass TypeID="ExLibrary!Microsoft.Exchange2007.ServerRole.Transport.Hub" />
          <DiscoveryClass TypeID="ExLibrary!Microsoft.Exchange2007.ServerRole.UM" />
          <DiscoveryClass TypeID="ExLibrary!Microsoft.Exchange2007.ServerRole.Mailbox.CcrCluster" />
          <DiscoveryClass TypeID="ExLibrary!Microsoft.Exchange2007.ServerRole.Mailbox.SccCluster" />
          <DiscoveryClass TypeID="ExLibrary!Microsoft.Exchange2007.ServerRole.Mailbox.Standalone" />
        </DiscoveryTypes>
        <DataSource ID="DS" TypeID="Mom.Test.UI.ExchangeTemplate.Management.Pack.Discovery.DS">
          <DiscoverStuff>true</DiscoverStuff>
          <DebugLog>false</DebugLog>
          <DeleteSelected>false</DeleteSelected>
          <IntervalSeconds>3600</IntervalSeconds>          
        </DataSource>
      </Discovery>
    </Discoveries>
  </Monitoring>
  <LanguagePacks>
    <LanguagePack ID="ENU" IsDefault="false">
      <DisplayStrings>
        <DisplayString ElementID="Mom.Test.UI.ExchangeTemplate.Management.Pack">
          <Name>Mom Test UI ExchangeTemplate Management Pack</Name>
        </DisplayString>
        <DisplayString ElementID="Mom.Test.UI.ExchangeTemplate.Management.Pack.Discovery">
          <Name>Powershell Create Fake Exchange 2007 Role Servers Discovery</Name>
        </DisplayString>
        <DisplayString ElementID="Mom.Test.UI.ExchangeTemplate.Management.Pack.Discovery.DS">
          <Name>Create Fake Exchange 2007 Role Servers Discovery Module</Name>
        </DisplayString>
        <DisplayString ElementID="Mom.Test.UI.ExchangeTemplate.Management.Pack.Discovery.DS" SubElementID="DiscoverStuff">
          <Name>Discover Servers</Name>
          <Description>If True discovers, if False Undiscovers</Description>
        </DisplayString>
        <DisplayString ElementID="Mom.Test.UI.ExchangeTemplate.Management.Pack.Discovery.DS" SubElementID="DebugLog">
          <Name>Debug Log</Name>
          <Description>If True writes Debug Events to Operations Manager Log</Description>
        </DisplayString>
        <DisplayString ElementID="Mom.Test.UI.ExchangeTemplate.Management.Pack.Discovery.DS" SubElementID="DeleteSelected">
          <Name>Remove Delete Servers</Name>
          <Description>If True undiscovers the delete servers</Description>
        </DisplayString>
      </DisplayStrings>
    </LanguagePack>
  </LanguagePacks>
</ManagementPack>
